﻿using System;

namespace Oxage.Common
{
	public class EventArgs<T> : EventArgs
	{
		#region Properties
		/// <summary>
		/// Gets or sets a result.
		/// </summary>
		public T Result
		{
			get;
			set;
		}
		#endregion

		#region Constructors
		/// <summary>
		/// Initializes a new EventArgs instance.
		/// </summary>
		public EventArgs()
		{
		}

		/// <summary>
		/// Initializes a new EventArgs instance.
		/// </summary>
		/// <param name="result">Result object.</param>
		public EventArgs(T result)
		{
			this.Result = result;
		}
		#endregion
	}
}
