using System;
using System.Windows.Controls;

namespace Kaxaml.Plugins.Rasterizer
{
	[Plugin(
		Name = "Rasterizer",
		Icon = "Images\\icon.png",
		Description = "Exports xaml as raster image"
	)]
	public partial class RasterPlugin : UserControl
	{
		public RasterPlugin()
		{
			InitializeComponent();
			this.Loaded += (sender, e) =>
			{
				var contractService = new KaxamlContractService();
				view.ViewModel.RegisterContractService(contractService);
			};
		}
	}
}