﻿using System;
using System.Windows.Forms;
using System.Windows.Input;
using Oxage.Rasterizer.Models;
using System.Diagnostics;

namespace Oxage.Rasterizer
{
	public class HyperlinkCommand : ICommand
	{
		#region Private members
		private RasterViewModel parent;
		#endregion

		#region Constructor
		public HyperlinkCommand(RasterViewModel parent)
		{
			this.parent = parent;
		}
		#endregion

		#region ICommand Members
		public bool CanExecute(object parameter)
		{
			return true;
		}

		public event EventHandler CanExecuteChanged;

		public void Execute(object parameter)
		{
			Process.Start(parameter as string);
		}
		#endregion
	}
}
