﻿using System;
using System.Windows.Forms;
using System.Windows.Input;
using Oxage.Rasterizer.Models;

namespace Oxage.Rasterizer
{
	public class SaveCommand : ICommand
	{
		#region Private members
		private RasterViewModel parent;
		#endregion

		#region Constructor
		public SaveCommand(RasterViewModel parent)
		{
			this.parent = parent;
		}
		#endregion

		#region ICommand Members
		public bool CanExecute(object parameter)
		{
			return true;
		}

		public event EventHandler CanExecuteChanged;

		public void Execute(object parameter)
		{
			this.parent.BrowseAndSave();
		}
		#endregion
	}
}
