﻿using System;
using Oxage.Common;

namespace Oxage.Rasterizer.Models
{
	public partial class OutputSize : ModelBase
	{
		#region Public properties
		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (this.name != value)
				{
					this.name = value;
					OnPropertyChanged("Name");
				}
			}
		}
		private string name;

		public double Scale
		{
			get
			{
				return this.scale;
			}
			set
			{
				if (this.scale != value)
				{
					this.scale = value;
					OnPropertyChanged("Scale");
				}
			}
		}
		private double scale;

		public bool IsCustom
		{
			get
			{
				return this.isCustom;
			}
			set
			{
				if (this.isCustom != value)
				{
					this.isCustom = value;
					OnPropertyChanged("IsCustom");
				}
			}
		}
		private bool isCustom;
		#endregion

		#region Public methods
		public override string ToString()
		{
			return this.Name;
		}
		#endregion
	}
}
